# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXSetMember

Function

Adds a member to a Group.

Syntax
`
#include <dx/dx.h>
`

Group DXSetMember(Group g, char *name, Object value)

Functional Details

Adds `value` as a member of Group `g`. The `name` may be `NULL`, in which case a new member is added that may be accessed only using `DXGetEnumeratedMember`. If `name` is the same as the name of an existing member, then the new member will have the same index in the Field as the old member and the value of that member is overwritten with the new value. Setting a member to `NULL` deletes the member.

If the Group is typed, and the new Object `value` is typed, then `value` must be of the same type as the Group. This is generally the case for Series, Composite Fields, and MultiGrids. The first time `DXSetMember` is called for one of these generally typed Groups with a typed `value`, `DXSetMember` sets the type of the Group to be the type of the Object.

Return Value

Returns `g` or returns `NULL` and sets an error code.

See Also

`DXGetEnumeratedMember, DXGetGroupClass, DXGetMember, DXNewGroup, DXSetEnumeratedMember, DXSetGroupType, DXSetGroupTypeV`

"Generic Operations".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page]

[IBM Home Page | Order | Search | Contact IBM | Legal ]